/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\engines\Artifacts of Assimilation\artifacts\lessers\lapeprita.cs
Lines of code: 41
***********************************************************/


using Server;
using System;

namespace Server.Items
{
	
	public class ShadowStalker : AssassinSpike
	{
		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get { return 255; } }

		[Constructable]
		public ShadowStalker() : base()
		{
			Name="Shadow Stalker";
			Hue=1157;
		
				
			Attributes.RegenHits=2;				
			Attributes.WeaponDamage=40;				
			WeaponAttributes.HitLeechMana=25;				
			WeaponAttributes.HitLeechStam=25;				
			WeaponAttributes.HitLowerAttack=50;				
			WeaponAttributes.HitLowerDefend=50;				

			AosElementDamages.Physical=100;
			AosElementDamages.Fire=0;
			AosElementDamages.Cold=0;
			AosElementDamages.Poison=0;
			AosElementDamages.Energy=0;
			AosElementDamages.Chaos=0;		
		}
		
		

		public ShadowStalker( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
	
}